## golang-github-lightstep-lightstep-tracer-common 1.1.0%2Bgit20210210.a8dfcb8

=== debian/changelog ===
golang-github-lightstep-lightstep-tracer-common (1.1.0+git20210210.a8dfcb8-3) unstable; urgency=medium

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 11 Apr 2021 10:02:45 +0000

golang-github-lightstep-lightstep-tracer-common (1.1.0+git20210210.a8dfcb8-2) unstable; urgency=medium

  * update debian/copyright

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 08 Apr 2021 18:55:11 +0100

golang-github-lightstep-lightstep-tracer-common (1.1.0+git20210210.a8dfcb8-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 11 Mar 2021 01:55:11 +0000
