=== golang/Makefile ===
MAKE = make

.PHONY: test
test:
	${MAKE} -C gogo test
	${MAKE} -C protobuf test

.PHONY: clean
clean:
	${MAKE} -C gogo clean
	${MAKE} -C protobuf clean
