=== golang/protobuf/Makefile ===
GO = GO111MODULE=on GOPROXY=https://proxy.golang.org go

.PHONY: test
test:
	${GO} test ./...

.PHONY: clean
clean:
	${GO} clean ./...
