=== debian/changelog ===
golang-github-lightstep-lightstep-tracer-common (1.1.0+git20210210.a8dfcb8-6) unstable; urgency=medium

  * Team upload
  * Upload changes from experimental to unstable
  * d/control:
    - Update Section to golang
    - Update Standards-Version to 4.7.0 (no changes needed)
    - Sync Depends with Build-Depends

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 26 Jul 2024 02:02:57 +0000

golang-github-lightstep-lightstep-tracer-common (1.1.0+git20210210.a8dfcb8-5) experimental; urgency=medium

  * Team upload.
  * compile against golang-google-grpc >> 1.64

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 23 Jun 2024 12:43:06 -0400

golang-github-lightstep-lightstep-tracer-common (1.1.0+git20210210.a8dfcb8-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 30 Nov 2022 02:18:25 +0000
