=== debian/control ===
Source: golang-github-lightstep-lightstep-tracer-common
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-gogoprotobuf-dev,
               golang-golang-x-net-dev,
               golang-google-genproto-dev (>= 0.0~git20210726.e7812ac),
               golang-google-grpc-dev (>= 1.64.0),
               golang-github-golang-protobuf-1-5-dev
Standards-Version: 4.7.0
Homepage: https://github.com/lightstep/lightstep-tracer-common
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-lightstep-lightstep-tracer-common
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-lightstep-lightstep-tracer-common.git
XS-Go-Import-Path: github.com/lightstep/lightstep-tracer-common
Testsuite: autopkgtest-pkg-go

Package: golang-github-lightstep-lightstep-tracer-common-dev
Architecture: all
Depends: ${misc:Depends},
         golang-gogoprotobuf-dev,
         golang-golang-x-net-dev,
         golang-google-genproto-dev (>= 0.0~git20210726.e7812ac),
         golang-google-grpc-dev (>= 1.64.0),
         golang-github-golang-protobuf-1-5-dev
Description: files shared by most or all of the Lightstep tracer implementations
 This package contains common files that are shared by most Lightstep
 tracer implementations.
 .
 LightStep is a distributed tracing common library for Go.
